package com.bonus.canteen.core.menu.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serializable;

public class MaterialImportDTO implements Serializable {
   @ExcelProperty(
      index = 0
   )
   private String materialName;
   @ExcelProperty(
      index = 1
   )
   private String categoryName;
   @ExcelProperty(
      index = 2
   )
   private String nutritionName;
   @ExcelProperty(
      index = 3
   )
   private String barCode;
   @ExcelIgnore
   private String failReason;

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getNutritionName() {
      return this.nutritionName;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public String getFailReason() {
      return this.failReason;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setNutritionName(final String nutritionName) {
      this.nutritionName = nutritionName;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setFailReason(final String failReason) {
      this.failReason = failReason;
   }

}
